import "styled-components"
import { IThemeProps } from "../lib/useTheme"

// As of styled-components v6.1.17, we need to map our custom theme interface to the
// default styled-components theme, as the type definition has been tightened with the merge request.
// https://github.com/styled-components/styled-components/pull/4317
declare module "styled-components" {
    export interface DefaultTheme extends IThemeProps {}
}
